program test
	use netcdf_file
	use netcdf_dimension
	type(NC_FILE)::		file
	type(NC_ERROR)::	err
	type(NC_DIMENSION)::	lat
	character(len = 64)::	buf

	err = create(file, 'foo.nc')
	call assert(err)
	lat = Dimension(file, 'lat', 128)
	if (.error. lat) call assert(NetcdfLastError())
	call NetcdfSaveError(NF_NOERR, '', '')
	buf = Name(lat)
	call assert(NetcdfLastError())
	print *, '[', buf, ']'
	err = close(file)
end program
